package org.hashtree.jbrainhoney.dlap;

/** A no authentication based ResponseCodeException. The authentication token does not exist or has expired. */
public final class NoAuthenticationException extends ResponseCodeException {
	private static final long serialVersionUID = 113470484654563L;

	public NoAuthenticationException() {
		super();
	}

	public NoAuthenticationException(final String message) {
		super(message);
	}

	public NoAuthenticationException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public NoAuthenticationException(final Throwable cause) {
		super(cause);
	}
}