package org.hashtree.jbrainhoney.network.http.request;

/** Defines the interface of a body enclosing based HttpRequest. */
public interface BodyEnclosingHttpRequest extends HttpRequest {
	public abstract Body getBody();

	/** Defines the interface of a BodyEnclosingHttpRequest builder. */
	public static interface Builder extends HttpRequest.Builder {
		@Override
		public abstract BodyEnclosingHttpRequest build();
	}
}
