package org.hashtree.jbrainhoney.network.http.request;

import org.hashtree.jbrainhoney.network.Request;
import org.hashtree.jbrainhoney.network.http.HttpUri;

/** Defines the interface of a HTTP based Request. */
public interface HttpRequest extends Request {
	public abstract HttpUri getUri();

	/** Defines the interface of a HttpRequest builder. */
	public static interface Builder extends Request.Builder {
		@Override
		public abstract HttpRequest build();
	}
}
