package org.hashtree.jbrainhoney.dlap;

/** An invalid credential based ResponseCodeException. The login credentials are invalid. */
public final class InvalidCredentialException extends ResponseCodeException {
	private static final long serialVersionUID = -564770568564L;

	public InvalidCredentialException() {
		super();
	}

	public InvalidCredentialException(final String message) {
		super(message);
	}

	public InvalidCredentialException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public InvalidCredentialException(final Throwable cause) {
		super(cause);
	}
}